Bug 236873 - notepad from wine-tools does not work
notepad from wine-tools does not work
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 01:29 EDT by Scott Tsai
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-25 16:30:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Tsai 2007-04-18 01:29:33 EDT
Description of problem:
/usr/bin/notepad from wine-tools shows a blank window.

Version-Release number of selected component (if applicable):
wine-core-0.9.32-1.fc6
wine-ldap-0.9.32-1.fc6
wine-nas-0.9.32-1.fc6
wine-tools-0.9.32-1.fc6
wine-twain-0.9.32-1.fc6
wine-esd-0.9.32-1.fc6
wine-cms-0.9.32-1.fc6
wine-0.9.32-1.fc6
wine-jack-0.9.32-1.fc6
wine-capi-0.9.32-1.fc6
glibc-2.5-10.fc6
kernel-2.6.20-1.2933.fc6

How reproducible:
always

Steps to Reproduce:
1. notepad

  
Actual results:
After 2 to 3 seconds a window that contains garbage graphics from the desktop
appears.


Expected results:
Functional notepad user interface.

Additional info:
relevent ps aux output:
 3668 pts/5    S+     0:00 notepad.exe                               
 3672 ?        Ss     0:00 /usr/lib/../bin/wineserver
 3673 ?        Ssl    0:00 c:\windows\system32\explorer.exe /desktop 
last system call of the processes involed from strace:
$ strace -p 3668 # notepad.exe
Process 3668 attached - interrupt to quit
futex(0x7d6a51f8, FUTEX_WAIT, 2, NULL

$ strace -p 3672
Process 3672 attached - interrupt to quit
gettimeofday({1176872944, 756288}, NULL) = 0
epoll_wait(6, 

]$ strace -p 3673
Process 3673 attached - interrupt to quit
futex(0x7c4778a8, FUTEX_WAIT, 2, NULL

My uneducated guess: some sort of dead lock.
Comment 1 Scott Tsai 2007-04-18 01:39:29 EDT
XMODIFIERS='' notepad works.

This is a bad interaction between wine and the XIM server part of scim primarily
used for east asian text input:
http://www.fedoraforum.org/forum/archive/index.php/t-127383.html

I wonder if upsream know about this problem ?

Comment 2 Andreas Bierfert 2007-04-25 16:30:28 EDT
First of all thanks for reporting this. There has been some discussion a while
back about scim support. I will see if there is an open bug otherwise I will
file one. Closing here as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.